org.apache.commons.math3.optim.nonlinear.scalar

## Class MultivariateFunctionMappingAdapter.LowerBoundMapper

- java.lang.Object
- - org.apache.commons.math3.optim.nonlinear.scalar.MultivariateFunctionMappingAdapter.LowerBoundMapper

- All Implemented Interfaces:
    MultivariateFunctionMappingAdapter.Mapper
  Enclosing class:
    MultivariateFunctionMappingAdapter

      private static class MultivariateFunctionMappingAdapter.LowerBoundMapper
      extends Object
      implements MultivariateFunctionMappingAdapter.Mapper

  Local class for lower bounds mapping.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private double` | `lower` Low bound.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultivariateFunctionMappingAdapter.LowerBoundMapper(double lower)` Simple constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `boundedToUnbounded(double x)` Maps a value from bounded to unbounded.
    `double` | `unboundedToBounded(double y)` Maps a value from unbounded to bounded.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### lower

          private final double lower

      Low bound.

  - ### Constructor Detail

    - #### MultivariateFunctionMappingAdapter.LowerBoundMapper

          public MultivariateFunctionMappingAdapter.LowerBoundMapper(double lower)

      Simple constructor.
      Parameters:
        `lower` - lower bound

  - ### Method Detail

    - #### unboundedToBounded

          public double unboundedToBounded(double y)

      Maps a value from unbounded to bounded.
      Specified by:
        `unboundedToBounded` in interface `MultivariateFunctionMappingAdapter.Mapper`
      Parameters:
        `y` - Unbounded value.
      Returns:
        the bounded value.

    - #### boundedToUnbounded

          public double boundedToUnbounded(double x)

      Maps a value from bounded to unbounded.
      Specified by:
        `boundedToUnbounded` in interface `MultivariateFunctionMappingAdapter.Mapper`
      Parameters:
        `x` - Bounded value.
      Returns:
        the unbounded value.

Copyright (c) 2003-2013 Apache Software Foundation